<span [class.active]="!mode">{{optionOff}}</span>


<label class="switch">
    <input type="checkbox" [(ngModel)]="mode" (ngModelChange)="changeMode()">
    <span class="slider"></span>
</label>

<span [class.active]="mode">{{optionOn}}</span>